Messages = new Mongo.Collection("msgs");
if (Meteor.isClient) {
    // counter starts at 0
    Meteor.subscribe('messages');

}

if (Meteor.isServer) {
    Meteor.publish("messages", function () {
        return Messages.find({}, {soft: {createdAt: -1}});
    })
}

Meteor.methods({
    sendMessage: function (message) {
        Messages.insert({
            text: message,
            createdAt: new Date(),
            username: Meteor.user().username
        })
    },
});

if (Meteor.isClient) {
    var initializing = true;
    Template.chat.helpers({
        recentMessage: function () {
            return Messages.find({}, {soft: {createdAt: -1}})
        }
    });

    Template.newMss.rendered = function() {
        $('footer').width($('.container').width() - 30);
    }

    Template.body.events({
        'submit .new-message': function (event) {
            var text = event.target.text.value.trim();
            if (text == "")
                return false;
            Meteor.call('sendMessage', text);
            event.target.text.value = '';
            $('.messages').scrollTop($('.messages')[0].scrollHeight);
            return false;

        }
    })

    Messages.find().observeChanges({
        added: function (id, doc) {
            if (!initializing) {
                $('.messages').scrollTop($('.messages')[0].scrollHeight);
            }
        }
    });

    initializing = false;

}